/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:41pm
Filepath: scripts\Items\Artifacts\Paragon\SerpentineAvenger.cs
Lines of code: 41

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class SerpentineAvenger : Crossbow
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public SerpentineAvenger() 
		{
			Name = "Serpentine Avenger";
			Hue = 32;
			Attributes.WeaponDamage = 50;
			Attributes.WeaponSpeed = 10;
			Attributes.RegenStam = 2;
			Attributes.LowerAmmoCost=10;
			Slayer = SlayerName.SnakesBane;
			SkillBonuses.SetValues( 0, SkillName.Archery, 10.0 );
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=100;
			AosElementDamages.Chaos=0;	
		}


		public SerpentineAvenger( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}